﻿IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_SocialWidget]') and NAME='Deleted')
BEGIN
	ALTER TABLE [FNS_SocialWidget]
	DROP COLUMN [Deleted]
END
GO
IF EXISTS( SELECT * FROM INFORMATION_SCHEMA.COLUMNS 
            WHERE TABLE_NAME = 'FNS_SocialWidget' 
           AND  COLUMN_NAME = 'Comment')
BEGIN
	EXEC sp_rename 'FNS_SocialWidget.Comment', 'AdminComment', 'COLUMN';
END
GO
if not exists(select * from MigrationVersionInfo where [Description] = 'FoxNetSoft.SocialWidget base schema')
	and EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_SocialWidget]'))
begin
	insert into MigrationVersionInfo (Version,AppliedOn,Description)
	values (637364261036451431, GETDATE(), 'FoxNetSoft.SocialWidget base schema')
end
GO